Subject: Re: [PATCH net-next v2 1/2] netns: Parse *_PID and *_FD netlink attributes as signed integers

From: Guillaume Nault <[email-masked]>
Date: Thu, 16 Jan 2020 12:23:06 +0100

On Wed, Jan 15, 2020 at 05:25:42PM +0100, Nicolas Dichtel wrote:
> Le 15/01/2020 à 16:36, Guillaume Nault a écrit :
> > These attributes represent signed values (file descriptors and PIDs).
> > Make that clear in nla_policy.
> After more check, I also find these one:
> $ git grep "NET.*_PID\|NET.*_FD" include/uapi/linux/
> include/uapi/linux/devlink.h:   DEVLINK_ATTR_NETNS_FD,                  /* u32 */
> include/uapi/linux/devlink.h:   DEVLINK_ATTR_NETNS_PID,                 /* u32 */
> include/uapi/linux/gtp.h:       GTPA_NET_NS_FD,
> include/uapi/linux/if_link.h:   IFLA_NET_NS_PID,
> include/uapi/linux/if_link.h:   IFLA_NET_NS_FD,
> include/uapi/linux/net_namespace.h:     NETNSA_PID,
> include/uapi/linux/net_namespace.h:     NETNSA_FD,
> include/uapi/linux/nl80211.h:   NL80211_ATTR_NETNS_FD,
> 
Well, this is really going beyond the scope of the original patch set.
But ok, let's drop this series. I'll repost the constification as stand
alone patch and will audit the netns attribute parsing when I'll get
more time.